%% See README.writers
%%
\section{Network}

\subsection{General}

% TODO: the current layout has been copied from the dc14 report. We can change
% it, but I thought it was a good starting point to guide us in what needed to
% be said.

% we've used the college network
% one staffer, Martin, was present during the conference and helped out a lot
% wifi required some fixing and additional devices, but otherwise worked well
% no captive portal
% network for the conference was on a VLAN created for the event so that we would have less restrictions than the normal college network.

\subsection{Uplink}

% TODO: real College de Maisonneuve bandwidth numbers if we made a test
%       filtering: was it the same situation than PUS in dc14?
The network was IPv4-only.  A casual speed test revealed 638\,Mbps download
and 268\,Mbps upload speeds. The IPs provided via DHCP were public IP addresses
(i.e.\ non-RFC1918) but were in-bound filtered from the Internet. The only
filtering we noticed in the out-bound direction was port 25 being blocked.

\subsection{Wired Network}

% all rooms had wired network, we installed switches and cables in hacklabs
% wired network was 1Gbps
% dhcpv4

\subsection{Wireless Network}

% The college was providing all wireless APs
% the wireless was on the same network segment than the wired network for the rooms that were used for the conference
% public IPs on wifi too

\subsection{Local Servers and Network Configuration}

% server only for video team, in the college's NOC (? not sure.. they might have been running in the classroom that we were calling the conference NOC)
% specs of the server?
% setup and usage of the server

\subsection{Talk Rooms}

% anything special to say wrt the talk rooms?

\subsection{Hacklabs}

% special circumstances with regards to power and/or network installation?

\subsection{Dorms}

% TODO: this paragraph is from dc14 and needs to be adapted
% Did we have wireless and wired? I don't remember having wired in the dorms
The dorms had both wireless and wired ports and attendees had no
problems using them.  This was very nice as it made
communication/coordination easy, particularly on IRC.

\subsection{Incidents}

% wireless AP connection issues
% wifi overcrowding in the garden lead to installing APs in the trees
% anything else?

\Person{Gabriel Filion}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "dc17-report.en"
%%% End: 
